be.ehealth.businessconnector.dmg.builders.impl

## Class FillSendRequestParameter

- java.lang.Object
- - be.ehealth.businessconnector.dmg.builders.impl.FillSendRequestParameter

-     public class FillSendRequestParameter
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FillSendRequestParameter(boolean isTest, String referenceId, Patient patientInfo, org.joda.time.DateTime referenceDate, Blob blob)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Blob` | `getBlob()`
    `Patient` | `getPatientInfo()`
    `org.joda.time.DateTime` | `getReferenceDate()`
    `String` | `getReferenceId()`
    `boolean` | `isTest()`
    `void` | `setBlob(Blob blob)`
    `void` | `setPatientInfo(Patient patientInfo)`
    `void` | `setReferenceDate(org.joda.time.DateTime referenceDate)`
    `void` | `setReferenceId(String referenceId)`
    `void` | `setTest(boolean isTest)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FillSendRequestParameter

          public FillSendRequestParameter(boolean isTest,
                                          String referenceId,
                                          Patient patientInfo,
                                          org.joda.time.DateTime referenceDate,
                                          Blob blob)

  - ### Method Detail

    - #### isTest

          public boolean isTest()

      Returns:
        the isTest

    - #### setTest

          public void setTest(boolean isTest)

      Parameters:
        `isTest` - the isTest to set

    - #### getReferenceId

          public String getReferenceId()

      Returns:
        the referenceId

    - #### setReferenceId

          public void setReferenceId(String referenceId)

      Parameters:
        `referenceId` - the referenceId to set

    - #### getPatientInfo

          public Patient getPatientInfo()

      Returns:
        the patientInfo

    - #### setPatientInfo

          public void setPatientInfo(Patient patientInfo)

      Parameters:
        `patientInfo` - the patientInfo to set

    - #### getReferenceDate

          public org.joda.time.DateTime getReferenceDate()

      Returns:
        the referenceDate

    - #### setReferenceDate

          public void setReferenceDate(org.joda.time.DateTime referenceDate)

      Parameters:
        `referenceDate` - the referenceDate to set

    - #### getBlob

          public Blob getBlob()

      Returns:
        the blob

    - #### setBlob

          public void setBlob(Blob blob)

      Parameters:
        `blob` - the blob to set

Connector Packaging PERSPHYSICIAN 4.8.5 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.